libetonyek::IWORKNumericPropertyContext< Property, TokenId2 > Class Template Reference documentation

libetonyek::IWORKNumericPropertyContext< Property, TokenId2 > Class Template Reference

`#include <IWORKNumericPropertyContext.h>`

Inheritance diagram for libetonyek::IWORKNumericPropertyContext< Property, TokenId2 >:

## Public Member Functions
| IWORKNumericPropertyContext (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKPropertyContext< Property, IWORKNumberElement< IWORKPropertyInfo< Property >::ValueType >, IWORKToken::NS_URI_SF|IWORKToken::number, 0 >
| IWORKPropertyContext (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Types
typedef IWORKPropertyContext< Property, IWORKNumberElement< typename IWORKPropertyInfo< Property >::ValueType >, IWORKToken::NS_URI_SF|IWORKToken::number, TokenId2 > | Parent_t

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKPropertyContextBase
| IWORKPropertyContextBase (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKPropertyContextBase
IWORKPropertyMap & | m_propMap
bool | m_default
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Member Typedef Documentation

## ◆ Parent_t

template<class Property, int TokenId2 = 0>

typedef IWORKPropertyContext<Property, IWORKNumberElement<typename IWORKPropertyInfo<Property>::ValueType>, IWORKToken::NS_URI_SF | IWORKToken::number, TokenId2> libetonyek::IWORKNumericPropertyContext< Property, TokenId2 >::Parent_t
| private

## Constructor & Destructor Documentation

## ◆ IWORKNumericPropertyContext()

template<class Property, int TokenId2>

libetonyek::IWORKNumericPropertyContext< Property, TokenId2 >::IWORKNumericPropertyContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap )

The documentation for this class was generated from the following file:

- IWORKNumericPropertyContext.h